%define major 2
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:    MAT File I/O Library
Name:       matio
Version:    1.5.2
Release:    %mkrel 3
License:    LGPLv2+
Group:      System/Libraries
Url:        http://sourceforge.net/projects/matio/
Source0:    http://downloads.sourceforge.net/matio/%{name}-%{version}.tar.xz
Patch0:         matio-1.5.0-fix-linking.patch
BuildRequires:  zlib-devel
BuildRequires:  doxygen
BuildRequires:  hdf5-devel

%description
matio is an ISO C library (with a limited Fortran 90 interface)
for reading and writing Matlab MAT files.

%package -n %{libname}
Summary:    MAT File I/O Library
Group:      System/Libraries
Provides:   lib%{name} = %{version}-%{release}
Obsoletes:	lib64matio0

%description -n %{libname}
matio is an ISO C library (with a limited Fortran 90 interface)
for reading and writing Matlab MAT files.

%package -n %{develname}
Summary:    Development files for %{name}
Group:      Development/Libraries
Provides:   %{name}-devel = %{version}-%{release}
Provides:   lib%{name}-devel = %{version}-%{release}
Requires:   %{libname} = %{version}-%{release}

%description -n %{develname}
Development files and headers for %{name}.

%prep
%setup -q
%apply_patches

%build
autoreconf -fi
%configure2_5x \
    --enable-shared --disable-static \
    --disable-fortran \
    --enable-extended-sparse=yes \
    --enable-test=no \
    --enable-docs=yes \
    %if %{_lib} != lib
    --with-libdir-suffix=lib64
    %endif

# remove rpath from libtool
sed -i.rpath 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i.rpath 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make

%install
rm -rf %buildroot
%makeinstall_std

rm -rf %{buildroot}%{_docdir}/matio %{buildroot}%{_libdir}/*.la

%files
%_bindir/matdump
%_mandir/man3/*

%files -n %{libname}
%{_libdir}/*%{name}.so.%{major}*

%files -n %{develname}
%doc NEWS README 
%{_includedir}/*.h
%{_libdir}/*%{name}.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Tue Sep 12 2017 bb2 <bb2> - 1.5.2-3pclos2017
- rebuild against updates

* Sun Sep 10 2017 bb2 <bb2> - 1.5.2-2pclos2017
- rebuild new gcc

* Wed Jan 04 2017 bb <bb> - 1.5.2-1pclos2017
- update for 2017

